> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Revert Terminate

> Reverts a TERMINATED grant to ACCEPTED, restoring cancelled vestings (past to VESTED, future to PENDING) and unsettled lockups.

Not available to API keys yet. It will need `grants:write`.

## OpenAPI

````yaml api-reference/openapi.json POST /tga/revert-terminate
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /tga/revert-terminate:
    post:
      operationId: revertTerminate
      summary: Revert Terminate
      description: >-
        Reverts a TERMINATED grant to ACCEPTED, restoring cancelled vestings
        (past to VESTED, future to PENDING) and unsettled lockups.


        Not available to API keys yet. It will need `grants:write`.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RevertTerminateRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RevertTerminateResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    RevertTerminateRequest:
      type: object
      properties:
        grantID:
          type: string
          format: uuid
      required:
        - grantID
    RevertTerminateResponse:
      type: object
      properties:
        success:
          type: boolean
        errorMessage:
          type: string
      required:
        - success
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
